
import React from 'react';
import Icon from 'react-icon-base';

const SlRocket = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M209.68 76.7363c-20.1123 -41.8076 -32.8018 -69.666 -144.689 -73.7305c3.21582 107.968 23.792 119.552 64.9922 140.08c17.2959 8.62402 38.832 19.3438 62.1123 37.248l-38.96 49.7441c-18.4004 -14.1279 -35.3281 -21.5684 -51.6963 -29.7119 c-68.6396 -34.2236 -100.991 -67.9355 -100.991 -228.655l0.543945 -32.7041l31.4561 0.704102c169.632 0 201.328 38.3203 233.104 104.32c6.95996 14.4639 10.832 24.2402 22.5596 43.7285l-47.4561 43.1045c-14.2236 -19.4082 -23.1035 -37.8721 -30.9756 -54.1279z M704.959 771.343c-70.7676 0 -128.352 -57.583 -128.352 -128.335c0 -70.7842 57.5996 -128.353 128.352 -128.353s128.336 57.584 128.336 128.352c0 70.752 -57.5996 128.336 -128.336 128.336zM704.959 578.928c-35.3281 0 -64.0801 28.752 -64.0801 64.0801 c0 35.3125 28.752 64.0801 64.0801 64.0801s64.0801 -28.7676 64.0801 -64.0801c-0.015625 -35.3438 -28.752 -64.0801 -64.0801 -64.0801zM1023.78 930.688c-0.975586 15.9678 -13.6299 28.7715 -29.5977 29.9551c0 0 -179.088 13.0557 -351.376 -51.2803 c-62.9443 -23.5039 -114.752 -60.7363 -163.104 -117.137c-40.3203 -47.0244 -80.3848 -132.032 -115.745 -202.608c-13.6641 -27.248 -26.7197 -53.3125 -37.792 -73.2168h-178.016c-9.15234 0 -17.8564 -3.91992 -23.9365 -10.7676l-117.296 -127.136 c-7.50391 -8.46387 -9.98438 -20.2559 -6.52832 -31.0078c3.44043 -10.7842 12.3203 -18.9443 23.3281 -21.4404l190.944 -43.6641c13.0078 -16.0645 34.6875 -40.0967 69.376 -78.5928l72.3359 -80.1924l38.9443 -164.72 c2.55957 -10.8477 10.6074 -19.5996 21.2314 -23.0557c3.23242 -1.02441 6.57617 -1.56836 9.9043 -1.56836c7.53613 0 14.9443 2.65625 20.832 7.71191l118.56 117.936c7.08789 6.06445 11.1836 14.9443 11.1836 24.2881v165.12 c15.9355 9.9043 44.1914 25.1523 70.7832 40.0322c72.4639 40.4961 180.624 90.9121 225.472 130.784c63.1523 56.1279 86.1602 97.2803 108.752 158.112c53.7119 144.688 42.2881 344.031 41.7441 352.447zM922.001 600.531 c-19.7119 -53.0723 -37.5684 -84.8301 -91.248 -132.558c-39.6641 -35.2324 -148.128 -85.8242 -214.192 -122.769c-49.3115 -27.5684 -78.8477 -43.6641 -91.792 -54.2559c-7.44043 -6.06445 -11.7607 -15.1523 -11.7607 -24.7842v-167.248l-67.5195 -74.1924 l-28.752 121.6c-1.23242 5.21582 -3.77637 10.0635 -7.39258 14.0635c-58.8477 65.2158 -147.743 163.808 -154.56 171.632c-4.44824 5.4082 -10.6084 9.24805 -17.5684 10.8477l-146.592 33.5361l71.9043 76h182.032c11.1201 0 21.4561 5.77637 27.2637 15.248 c14.0801 22.9277 30.416 55.5361 49.3438 93.2959c32.0479 63.9521 71.9199 148.544 107.12 189.632c41.584 48.5283 83.8242 79.0088 136.896 98.8486c118.096 44.1279 239.968 48.7676 295.68 48.3516c1.04004 -59.0078 -1.18359 -195.824 -38.8626 -297.248z"/></g>
    </Icon>
);

export default SlRocket;
